/*
 * Basic responsive mashup template
 * @owner Enter you name here (xxx)
 */
/*
 *    Fill in host and port for Qlik engine
 */
var prefix = window.location.pathname.substr( 0, window.location.pathname.toLowerCase().lastIndexOf( "/extensions" ) + 1 );
var config = {
	host: window.location.hostname,
	prefix: prefix,
	port: window.location.port,
	isSecure: window.location.protocol === "https:"
};
require.config( {
	baseUrl: ( config.isSecure ? "https://" : "http://" ) + config.host + (config.port ? ":" + config.port : "") + config.prefix + "resources"
} );

require( ["js/qlik"], function ( qlik ) {
	qlik.setOnError( function ( error ) {
		$( '#popupText' ).append( error.message + "<br>" );
		$( '#popup' ).fadeIn( 1000 );
	} );
	$( "#closePopup" ).click( function () {
		$( '#popup' ).hide();
	} );
	
	//callbacks -- inserted here --
	//open apps -- inserted here --
	
	var app = qlik.openApp('ce771603-f783-4ef6-bb27-4d556fc1f4d8', config);
	
	//Saves selections to local storage when user navigates away from page
	window.onbeforeunload = function(){
		app.getList("SelectionObject", function(reply) {
			localStorage.setItem("selections", JSON.stringify(reply.qSelectionObject.qSelections))
		});
	}
	
	//Loads and applies selections from local storage on document ready.
	$(function() { 
		var selections = JSON.parse(localStorage.getItem("selections"));
		if( selections.length > 0 ) {
			selections.forEach( function(selection) {
				app.field(selection.qField).selectMatch( selection.qSelected, true );
			});
		}
	});

	//get objects -- inserted here --
	app.getObject('CurrentSelections','CurrentSelections');
	
	//Page 1
	app.getObject('QV03','hRZaKk');
	app.getObject('QV02','298bbd6d-f23d-4469-94a2-df243d680e0c');
	app.getObject('QV01','a5e0f12c-38f5-4da9-8f3f-0e4566b28398');
	
	//Page 2
	app.getObject('QV04','hRZaKk');
	app.getObject('QV05','298bbd6d-f23d-4469-94a2-df243d680e0c');
	app.getObject('QV06','a5e0f12c-38f5-4da9-8f3f-0e4566b28398');
	//create cubes and lists -- inserted here --

} );
